%global srcname constantly

%bcond_with tests
%bcond_with docs

Summary:        Symbolic constants in Python
Name:           python-%{srcname}
Version:        15.1.0
Release:        5%{?dist}
License:        MIT
URL:            https://github.com/twisted/constantly
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

Patch0001:      0001-Update-versioneer.py-to-0.21.patch

BuildRequires:  python3-devel
%if %{with docs}
BuildRequires:  python3dist(sphinx-rtd-theme)
%endif
%if %{with tests}
BuildRequires:  python3dist(twisted)
%endif

BuildArch:      noarch

%description
A library that provides symbolic constant support. It includes collections and
constants with text, numeric, and bit flag values. Originally
twisted.python.constants from the Twisted project.

%package -n     python3-%{srcname}
Summary:        Symbolic constants in Python

%description -n python3-%{srcname}
A library that provides symbolic constant support. It includes collections and
constants with text, numeric, and bit flag values. Originally
twisted.python.constants from the Twisted project.

%if %{with docs}
%package doc
Summary:        Documentation for %{name}

%description doc
A library that provides symbolic constant support. It includes collections and
constants with text, numeric, and bit flag values. Originally
twisted.python.constants from the Twisted project.
This is the documentation package for %{name}.
%endif

%prep
%autosetup -p1 -n %{srcname}-%{version}
%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-t}

%build
%pyproject_wheel
%if %{with docs}
PYTHONPATH=%{pyproject_build_lib} sphinx-build docs html
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%if %{with tests}
%tox
%endif

%files -n python3-%{srcname} -f %{pyproject_files}

%if %{with docs}
%files -n python-%{srcname}-doc
%license LICENSE
%doc html
%endif

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 15.1.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 15.1.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 15.1.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 15.1.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 20 2022 Miaojun Dong <zoedong@tencent.com> - 15.1.0-1
- initial build
